#
# spec file for package pdns-recursor
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
%if 0%{?centos_version} == 5 
Version:	3.7.1
%else
Version:	3.7.2
%endif
Name:           pdns-recursor
Release:        128.1
%define pkg_version    %{version}
#
Group:          Productivity/Networking/DNS/Servers
License:        GPL v2 or later
#
%define home           %{_var}/lib/pdns
%define _localstatedir %{_var}/run/pdns
BuildRequires:  boost-devel gcc-c++
%if 0%{?suse_version}
BuildRequires:	pwdutils
Requires:	pwdutils
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} >= 1210 || 0%{?sles_version} >= 12 || 0%{?rhel} >= 7
BuildRequires:  systemd
%{?systemd_requires}
%define has_systemd 1
%endif
%if 0%{?suse_version}
PreReq:         %insserv_prereq %fillup_prereq /usr/sbin/useradd /usr/sbin/groupadd
%endif
#
Url:            http://www.powerdns.com/
Source:         http://downloads.powerdns.com/releases/%{name}-%{pkg_version}.tar.bz2
Source1:        pdns-recursor.init
Source2:        recursor.conf
Source3:	boost_1_39_0.tar.bz2
## Patch0:         pdns-recursor-3.3_config.patch
## Patch1:         pdns-recursor-3.3-strip.patch
Patch2:		pdns-recursor-init-rh.patch
#
Summary:        Modern, advanced and high performance recursing/non authoritative nameserver

%description
PowerDNS Recursor is a non authoritative/recursing DNS server. Use this
package if you need a dns cache for your network.



Authors:
--------
    http://www.powerdns.com

%prep
%setup -n %{name}-%{pkg_version} -a 3
## %patch0
## %patch1
%patch2

%build
CXXFLAGS=-I./boost_1_39_0/ %configure --sysconfdir=/etc/pdns --localstatedir=/var/run/pdns
CXXFLAGS=-I./boost_1_39_0/ %__make clean
CXXFLAGS=-I./boost_1_39_0/ %__make SYSCONFDIR="%{_sysconfdir}/pdns" BINDIR="%{_sbindir}" STRIP_BINARIES=0 all
## {__make} OPTFLAGS="%{optflags} -D_GNU_SOURCE"

%install
%{__install} -Dd -m 0755 %{buildroot}{%{home},%{_localstatedir}}
%__make DESTDIR=%{buildroot} install SYSCONFDIR="%{_sysconfdir}/pdns" BINDIR="%{_sbindir}"
%{__install} -D -m 0644 %{S:2} %{buildroot}%{_sysconfdir}/pdns/recursor.conf
%if 0%{?has_systemd}
%{__install} -D -m 0644 contrib/systemd-pdns-recursor.service %{buildroot}%{_unitdir}/pdns-recursor.service
rm -rf %{buildroot}%{_sysconfdir}/init.d/%{name}
%else
%if 0%{?suse_version}
%{__install} -D -m 0755 %{S:1} %{buildroot}%{_sysconfdir}/init.d/%{name}
%else
%{__install} -D -m 0755 pdns-recursor.init.d %{buildroot}%{_sysconfdir}/init.d/%{name}
%endif
%{__ln_s} -f %{_sysconfdir}/init.d/%{name} %{buildroot}%{_sbindir}/rc%{name}
%endif
%{__install} -m 0755 -d %{buildroot}%{_datadir}/%{name}
cp -R rrd %{buildroot}%{_datadir}/%{name}/
%clean
%{__rm} -rf %{buildroot}

%pre
/usr/sbin/groupadd -r pdns &>/dev/null || :
/usr/sbin/useradd -o -g pdns -s /bin/false -r -c "pdns" -d %{home} pdns &>/dev/null || :

%if 0%{?has_systemd}
%service_add_pre pdns-recursor.service
%endif

%post
%if 0%{?suse_version}
%{fillup_and_insserv pdns-recursor}
%endif
%if 0%{?has_systemd}
%service_add_post pdns-recursor.service
%endif

%preun
%if 0%{?suse_version}
%stop_on_removal pdns-recursor
%endif
%if 0%{?has_systemd}
%service_del_preun pdns-recursor.service
%endif

%postun
%if 0%{?suse_version}
%restart_on_update pdns-recursor
%insserv_cleanup
%endif
%if 0%{?has_systemd}
%service_del_postun pdns-recursor.service
%endif

%files
%defattr (-,root,root,-)
%dir %{_sysconfdir}/pdns/
%config(noreplace) %{_sysconfdir}/pdns/recursor.conf
%config %{_sysconfdir}/pdns/recursor.conf-dist
%if 0%{?has_systemd}
%{_unitdir}/pdns-recursor.service
%else
%{_sysconfdir}/init.d/%{name}
%{_sbindir}/rcpdns-recursor
%endif
%{_sbindir}/pdns_recursor
%{_sbindir}/rec_control
%{_mandir}/man1/pdns_recursor.1*
%{_mandir}/man1/rec_control.1*
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/rrd
%{_datadir}/%{name}/rrd/update
%{_datadir}/%{name}/rrd/create
%{_datadir}/%{name}/rrd/makegraphs
%{_datadir}/%{name}/rrd/index.html
%doc README COPYING
%dir %{home}
%dir %{_localstatedir}

%changelog
* Mon Apr 27 2015 cs@linux-administrator.com
- update to version 3.7.2
  * See https://doc.powerdns.com/md/changelog/#changelog-recursor-3.7.2
* Mon Mar  9 2015 cs@linux-administrator.com
- update to version 3.7.1
  * See https://doc.powerdns.com/md/changelog/#changelog-recursor-3.7.1
* Wed Nov 19 2014 cs@linux-administrator.com
- update to version 3.6.2
  * See http://doc.powerdns.com/html/changelog.html#changelog-recursor-3.6.2
* Fri Sep 26 2014 cs@linux-administrator.com
- update to version 3.6.1
  * See http://doc.powerdns.com/html/changelog.html#changelog-recursor-3.6.1
* Tue Jul  8 2014 cs@linux-administrator.com
- update to version 3.6.0
  * See http://doc.powerdns.com/html/changelog.html#changelog-recursor-3.6.0
* Thu Sep 19 2013 cs@linux-administrator.com
- update to version 3.5.3
  * See http://doc.powerdns.com/html/changelog.html#changelog-recursor-3.5.3
* Sat Jun  8 2013 cs@linux-administrator.com
- update to version 3.5.2
  * See http://doc.powerdns.com/html/changelog.html#changelog-recursor-3.5.2
* Sat May  4 2013 cs@linux-administrator.com
- update to version 3.5.1
  * See http://doc.powerdns.com/html/changelog.html#changelog-recursor-3.5.1
* Wed May  1 2013 cs@linux-administrator.com
- update to version 3.5
  * See http://doc.powerdns.com/html/changelog.html#changelog-recursor-3.5
* Sun Dec 23 2012 cs@linux-administrator.com
- update to version 3.3.1
* Thu Jan 20 2011 cs@linux-administrator.com
- fix init script for non suse builds
* Mon Jan 17 2011 cs@linux-administrator.com
- update to release 3.3
  - This version fixes a number of small but persistent issues
  - Rounds off the IPv6 support
  - Add an important feature for many users of the Lua scripts
  - Scalability on Solaris 10 has been improved
  - Compilation on RHEL5 has been fixed
